﻿$(function () {


    var scrolling = false;

    var scrollButtonOptions = {
        autoLinkPos: "toTop-right",
        autoLinkClass: "btn-scroll-to-top btn btn-large btn-primary",
        autoLinkIcon: "schema-glyph schema-glyph-chevron-thin-up",
        autoLinkText: "",
        easingType: "swing",
        min: -200,
        inDelay: 200,
        outDelay: 200,
        scrollSpeed: 500,
        contentLinkClass: "top"
    };

    var scrollButton = $('<span id="' + scrollButtonOptions.autoLinkPos + '" class="' + scrollButtonOptions.autoLinkClass + '"><i class="' + scrollButtonOptions.autoLinkIcon + '"></i> ' + scrollButtonOptions.autoLinkText + "</span>");
    $("body").append(scrollButton);

    scrollButton.hide().click(function () {
        scrollbar.mCustomScrollbar("scrollTo", 'top');
        return false;

    });

    var scrollbarOptions = {

        theme: "minimal-dark",
        scrollbarPosition: "inside",
		scrollInertia: 0,
		scrollSpeed: 500,
        mouseWheel: {
            preventDefault: false,
			normalizeDelta: true,
			scrollAmount: "40"
        },
        callbacks: {

            whileScrolling: function () {

                scrolling = true;

                var top = this.mcs.top;

                if (top < scrollButtonOptions.min) {
                    scrollButton.fadeIn(scrollButtonOptions.inDelay)
                } else {
                    scrollButton.fadeOut(scrollButtonOptions.outDelay)
                }

            },
            onScroll: function () {
                scrolling = false;
				if(this.mcs.topPct < 95 && $("div.footer_bosch").css("display") !== "none") {
					displayFooter(false);
				}
            },
			onTotalScroll: function() {
				displayFooter(true);
			},
			onOverflowY:function(){
				displayFooter(false);
			},
			onOverflowYNone:function(){
				displayFooter(true);
			},
			onTotalScrollBack: function(){
				displayFooter(false);
			}
        }
    };

    var scrollbar = $("#content-container").mCustomScrollbar(scrollbarOptions);

    if (scrollbar && document.location.toString().indexOf("#") != -1) {

        var loc = document.location.toString().split('#')[1];

        scrollbar.mCustomScrollbar("scrollTo", $('#' + loc));

    }
});

function displayFooter(flag) {
	var div = $("div.footer_bosch");

	if(flag) {
		div.css("display","block");
	} else {
		div.css("display","none");
	}
}